### Method

# Gimp Image convert_color_profile

#### Declaration [src]

    gboolean
    gimp_image_convert_color_profile (
      GimpImage* image,
      GimpColorProfile* profile,
      GimpColorRenderingIntent intent,
      gboolean bpc
    )

#### Description [src]

Convert the image’s layers to a color profile

This procedure converts from the image’s color profile (or the default RGB profile if none is set) to the given color profile. Only RGB color profiles are accepted.

Available since: | 2.10

#### Parameters

`profile` | `GimpColorProfile`
| The color profile to convert to.
| The data is owned by the caller of the function.
`intent` | `GimpColorRenderingIntent`
| Rendering intent.
`bpc` | `gboolean`
| Black point compensation.

#### Return value

Returns: | `gboolean`
| TRUE on success.